
set(scripts_demo
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_000.lua
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_001.lua
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_002.lua
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_003.lua
	${CMAKE_SOURCE_DIR}/src/scripts/demos/simple_004.lua
	)

set(scripts_test
	${CMAKE_SOURCE_DIR}/src/scripts/tests/test_core.lua
	${CMAKE_SOURCE_DIR}/src/scripts/tests/test_system.lua
	${CMAKE_SOURCE_DIR}/src/scripts/tests/test_io.lua
	)

add_executable(pixwerx WIN32 MACOSX_BUNDLE
	pixwerx.cpp
	${scripts_demo}
	${scripts_test}
	)

target_include_directories(pixwerx
	PRIVATE
	${CMAKE_SOURCE_DIR}/src/deps
	${CMAKE_SOURCE_DIR}/src/core/include
	${CMAKE_SOURCE_DIR}/src/ui/include
	${CMAKE_SOURCE_DIR}/src/scripting/include
	)

target_link_libraries(pixwerx
	pwbinding
	pwcore
	pwsystem
	)
